fli_pal_dirty_from(3)

NAME
fli_pal_dirty_from, fli_pal_dirty_to

SYNOPSIS
#include <allegro.h>

extern int fli_pal_dirty_from; extern int fli_pal_dirty_to;

DESCRIPTION
These variables are set by next_fli_frame() to indicate which part of the fli_palette has changed since the last call to reset_fli_variables(). If fli_pal_dirty_from is greater than fli_pal_dirty_to, the palette has not changed, otherwise colors fli_pal_dirty_from to fli_pal_dirty_to (inclusive) have altered. You can use these when updating the hardware palette, to avoid unnecessary calls to set_palette().

SEE ALSO
fli_palette(3), reset_fli_variables(3)